]> git.vomp.tv Git - vompclient-marten.git/commitdiff
Add files for debian package generation
authorMarten Richter <marten.richter@freenet.de>
Sun, 11 Nov 2012 10:34:24 +0000 (11:34 +0100)
committerMarten Richter <marten.richter@freenet.de>
Sun, 11 Nov 2012 10:34:24 +0000 (11:34 +0100)
13 files changed:
debian/README.Debian [new file with mode: 0644]
debian/changelog [new file with mode: 0644]
debian/compat [new file with mode: 0644]
debian/control [new file with mode: 0644]
debian/copyright [new file with mode: 0644]
debian/create_source_tar [new file with mode: 0755]
debian/docs [new file with mode: 0644]
debian/files [new file with mode: 0644]
debian/init.d [new file with mode: 0644]
debian/install [new file with mode: 0644]
debian/rules [new file with mode: 0755]
debian/source/format [new file with mode: 0644]
debian/vompclient.default [new file with mode: 0644]

diff --git a/debian/README.Debian b/debian/README.Debian
new file mode 100644 (file)
index 0000000..0033c39
--- /dev/null
@@ -0,0 +1,8 @@
+vompclient for Debian
+---------------------
+
+This packages contains the vompclient for the raspberry pi.
+The client will be started as a daemon, please make sure that you have ssh access 
+to your raspberry, since it will prevent local logins
+
+ -- Marten Richter <marten.richter@freenet.de>  Sun, 04 Nov 2012 17:51:03 +0100
diff --git a/debian/changelog b/debian/changelog
new file mode 100644 (file)
index 0000000..6550145
--- /dev/null
@@ -0,0 +1,5 @@
+vompclient (0.3.1.121104-1) unstable; urgency=low
+
+  * Initial release 
+
+ -- Marten Richter <marten.richter@freenet.de>  Sun, 04 Nov 2012 17:51:03 +0100
diff --git a/debian/compat b/debian/compat
new file mode 100644 (file)
index 0000000..45a4fb7
--- /dev/null
@@ -0,0 +1 @@
+8
diff --git a/debian/control b/debian/control
new file mode 100644 (file)
index 0000000..a915791
--- /dev/null
@@ -0,0 +1,17 @@
+Source: vompclient
+Section: unknown
+Priority: extra
+Maintainer: Marten Richter <marten.richter@freenet.de>
+Build-Depends: debhelper (>= 8.0.0), libcec-dev (>= 1.8.1), libraspberrypi-dev, libfreetype6-dev, libmagick++-dev, libavformat-dev, libavutil-dev, libavcodec-dev
+Standards-Version: 3.9.3
+Homepage: www.loggytronic.com/vomp.php
+Vcs-Git: http://git.vomp.tv/vompclient-raspi.git
+Vcs-Browser: http://git.vomp.tv/gitweb/
+
+Package: vompclient-raspi
+Architecture: armhf
+Depends: ${shlibs:Depends}, ${misc:Depends}, libcec1 (>= 1.8.1), libraspberrypi-bin, libfreetype6, libmagick++5, libavformat53, libavutil51, libavcodec53
+Description: vompclient for raspberry pi
+ This is the vompclient binary for the raspberry pi platform.
+ It connects to the  server with the vdr software including
+ the  vompserver plugin
diff --git a/debian/copyright b/debian/copyright
new file mode 100644 (file)
index 0000000..86844a2
--- /dev/null
@@ -0,0 +1,51 @@
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: vompclient
+Source: http://git.vomp.tv/
+
+Files: *
+Copyright: 2005-2012 Chris Tallon et al. (For details see source files and git commit messages)
+           
+License: GPL-2
+ This program is free software; you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation; either version 2 of the License, or
+ (at your option) any later version.
+ .
+ This package is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ GNU General Public License for more details.
+ .
+ You should have received a copy of the GNU General Public License
+ along with this program. If not, see <http://www.gnu.org/licenses/>
+ .
+ On Debian systems, the complete text of the GNU General
+ Public License version 2 can be found in "/usr/share/common-licenses/GPL-2".
+
+Files: fonts/* other/*
+Copyright: See text files in directories
+License: See test files in directories
+
+Files: debian/*
+Copyright: 2012 Marten Richter <marten.richter@freenet.de>
+License: GPL-2+
+ This package is free software; you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation; either version 2 of the License, or
+ (at your option) any later version.
+ .
+ This package is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ GNU General Public License for more details.
+ .
+ You should have received a copy of the GNU General Public License
+ along with this program. If not, see <http://www.gnu.org/licenses/>
+ .
+ On Debian systems, the complete text of the GNU General
+ Public License version 2 can be found in "/usr/share/common-licenses/GPL-2".
+
+# Please also look if there are files or directories which have a
+# different copyright/license attached and list them here.
+# Please avoid to pick license terms that are more restrictive than the
+# packaged work, as it may make Debian's contributions unacceptable upstream.
diff --git a/debian/create_source_tar b/debian/create_source_tar
new file mode 100755 (executable)
index 0000000..33bbd6b
--- /dev/null
@@ -0,0 +1,5 @@
+#! /bin/bash
+cd ..
+git pull
+echo $FILEDEST
+git archive HEAD | gzip > ../vompclient_0.3.1.121104.orig.tar.gz
\ No newline at end of file
diff --git a/debian/docs b/debian/docs
new file mode 100644 (file)
index 0000000..f1c1907
--- /dev/null
@@ -0,0 +1 @@
+readme_media.txt
diff --git a/debian/files b/debian/files
new file mode 100644 (file)
index 0000000..416b7c0
--- /dev/null
@@ -0,0 +1 @@
+vompclient-raspi_0.3.1.121104-1_armhf.deb unknown extra
diff --git a/debian/init.d b/debian/init.d
new file mode 100644 (file)
index 0000000..251c6d1
--- /dev/null
@@ -0,0 +1,154 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides:          vompclient
+# Required-Start:    $network $local_fs
+# Required-Stop:
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: vompclient on raspberry pi
+# Description:       This start the vompclient daemon
+#                    automatically at boot
+#                    
+### END INIT INFO
+
+# Author: Marten Richter <marten.richter@freenet.de>
+
+# PATH should only include /usr/* if it runs after the mountnfs.sh script
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+DESC=vompclient             # Introduce a short description here
+NAME=vompclient             # Introduce the short server's name here
+DAEMON=/usr/bin/vompclient  # Introduce the server's location here
+DAEMON_ARGS=""             # Arguments to run the daemon with
+PIDFILE=/var/run/$NAME.pid
+SCRIPTNAME=/etc/init.d/$NAME
+
+# Exit if the package is not installed
+[ -x $DAEMON ] || exit 0
+
+# Read configuration variable file if it is present
+[ -r /etc/default/$NAME ] && . /etc/default/$NAME
+
+# Load the VERBOSE setting and other rcS variables
+. /lib/init/vars.sh
+
+# Define LSB log_* functions.
+# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
+. /lib/lsb/init-functions
+
+#
+# Function that starts the daemon/service
+#
+do_start()
+{
+       # Return
+       #   0 if daemon has been started
+       #   1 if daemon was already running
+       #   2 if daemon could not be started
+       start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
+               || return 1
+       start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
+               $DAEMON_ARGS \
+               || return 2
+       # Add code here, if necessary, that waits for the process to be ready
+       # to handle requests from services started subsequently which depend
+       # on this one.  As a last resort, sleep for some time.
+}
+
+#
+# Function that stops the daemon/service
+#
+do_stop()
+{
+       # Return
+       #   0 if daemon has been stopped
+       #   1 if daemon was already stopped
+       #   2 if daemon could not be stopped
+       #   other if a failure occurred
+       start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
+       RETVAL="$?"
+       [ "$RETVAL" = 2 ] && return 2
+       # Wait for children to finish too if this is a daemon that forks
+       # and if the daemon is only ever run from this initscript.
+       # If the above conditions are not satisfied then add some other code
+       # that waits for the process to drop all resources that could be
+       # needed by services started subsequently.  A last resort is to
+       # sleep for some time.
+       start-stop-daemon --stop --quiet --oknodo --retry=TERM/30/KILL/5 --exec $DAEMON
+       [ "$?" = 2 ] && return 2
+       # Many daemons don't delete their pidfiles when they exit.
+       rm -f $PIDFILE
+       return "$RETVAL"
+}
+
+#
+# Function that sends a SIGHUP to the daemon/service
+#
+do_reload() {
+       #
+       # If the daemon can reload its configuration without
+       # restarting (for example, when it is sent a SIGHUP),
+       # then implement that here.
+       #
+       start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
+       return 0
+}
+
+case "$1" in
+  start)
+    [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC " "$NAME"
+    do_start
+    case "$?" in
+               0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+               2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+       esac
+  ;;
+  stop)
+       [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
+       do_stop
+       case "$?" in
+               0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+               2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+       esac
+       ;;
+  status)
+       status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
+       ;;
+  #reload|force-reload)
+       #
+       # If do_reload() is not implemented then leave this commented out
+       # and leave 'force-reload' as an alias for 'restart'.
+       #
+       #log_daemon_msg "Reloading $DESC" "$NAME"
+       #do_reload
+       #log_end_msg $?
+       #;;
+  restart|force-reload)
+       #
+       # If the "reload" option is implemented then remove the
+       # 'force-reload' alias
+       #
+       log_daemon_msg "Restarting $DESC" "$NAME"
+       do_stop
+       case "$?" in
+         0|1)
+               do_start
+               case "$?" in
+                       0) log_end_msg 0 ;;
+                       1) log_end_msg 1 ;; # Old process is still running
+                       *) log_end_msg 1 ;; # Failed to start
+               esac
+               ;;
+         *)
+               # Failed to stop
+               log_end_msg 1
+               ;;
+       esac
+       ;;
+  *)
+       #echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
+       echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
+       exit 3
+       ;;
+esac
+
+:
diff --git a/debian/install b/debian/install
new file mode 100644 (file)
index 0000000..c9a56be
--- /dev/null
@@ -0,0 +1 @@
+vompclient  usr/bin
\ No newline at end of file
diff --git a/debian/rules b/debian/rules
new file mode 100755 (executable)
index 0000000..afadb69
--- /dev/null
@@ -0,0 +1,25 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+# Sample debian/rules that uses debhelper.
+# This file was originally written by Joey Hess and Craig Small.
+# As a special exception, when this file is copied by dh-make into a
+# dh-make output file, you may use that output file without restriction.
+# This special exception was added by Craig Small in version 0.37 of dh-make.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+%:
+       dh $@ 
+       
+override_dh_auto_clean:
+       $(MAKE) clean
+       
+override_dh_auto_build:
+       $(MAKE) release
+       
+override_dh_auto_test:
+
+override_dh_auto_install:
+
+
diff --git a/debian/source/format b/debian/source/format
new file mode 100644 (file)
index 0000000..163aaf8
--- /dev/null
@@ -0,0 +1 @@
+3.0 (quilt)
diff --git a/debian/vompclient.default b/debian/vompclient.default
new file mode 100644 (file)
index 0000000..8d42867
--- /dev/null
@@ -0,0 +1,10 @@
+# Defaults for vompclient initscript
+# sourced by /etc/init.d/vompclient
+# installed at /etc/default/vompclient by the maintainer scripts
+
+#
+# This is a POSIX shell fragment
+#
+
+# Additional options that are passed to the Daemon.
+DAEMON_OPTS=""